<?php

namespace Modules\FIN\Controllers;

use Doctrine\ORM\EntityManager;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use Modules\FIN\Services\TitulosAReceberService;

/**
 * Class TitulosAReceberController
 * @package Modules\FIN\Controllers
 */
class TitulosAReceberController {

    protected $entityManager;
    protected $titulosAReceberService;

    /**
     * @param EntityManager $entityManager
     * @param TitulosAReceberService $titulosAReceberService
     */
    public function __construct(EntityManager $entityManager, TitulosAReceberService $titulosAReceberService) {
        $this->entityManager = $entityManager;
        $this->titulosAReceberService = $titulosAReceberService;
    }
    
    /**
     * Gera Titulos Por Assinatura
     * @param Row $row
     * @param Response $response
     */
    public function geraTitulosPorAssinatura(Request $request, Response $response) {
        try {
            $params = $request->getParameters();
            
            $cdfilial     = $params["CDFILIAL"];
            $nrcpfrespcon = $params["NRCPFRESPCON"];
            $nrservasscli = $params["NRSERVASSCLI"];

            // Gera Titulos Por Assinatura
            $this->titulosAReceberService->geraTitulosPorAssinatura($cdfilial, $nrcpfrespcon, $nrservasscli);
            
            $response->addDataSet(new DataSet('geraTitulosPorAssinatura', ['success' => 'S']));
        } catch (\Exception $e) {
            $response->setError(new Response\Error($e->getMessage(), $e->getCode()));
        }
    }

}
