-- ==============================================================================
-- TABLE: USR_ENTR_MERC 
-- ==============================================================================
CREATE TABLE USR_ENTR_MERC (	
   CDEXFILIAL     		VARCHAR2(20), 
   IDENTRSAID     		VARCHAR2(1), 
   CDFILIAL       		VARCHAR2(4), 
   NRNOTAFISCAL   		VARCHAR2(20), 
   NRINSJURFORN   		VARCHAR2(20), 
   DTENTRADA      		DATE, 
   CDFILIRECE     		VARCHAR2(4), 
   CDTIPOOPER     		VARCHAR2(2), 
   DTEMISSAO      		DATE, 
   NRAUTOFORNE    	VARCHAR2(10), 
   LOG_ERRO       		VARCHAR2(3000), 
   DTIMPORTACAO   	DATE, 
   CDSERIE        		VARCHAR2(5), 
   CDMODDOCFISC   	VARCHAR2(2), 
   CDEXFORNECED   	VARCHAR2(30), 
   NRLANCTONF     		VARCHAR2(10), 
   NRLANCESTQ     		VARCHAR2(10), 
   NRLANCTOUSR    		VARCHAR2(20), 
   CDCODOC        		VARCHAR2(20), 
   NRORG                       	NUMBER 		DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
   IDATIVO                    	VARCHAR2(1)     	DEFAULT 'S' NOT NULL
      CONSTRAINT CKC_IDATIVO_USR_ENTR_MERC CHECK (IDATIVO IN ('S','N')),
   DTINCLUSAO             	DATE                   	NULL,
   DTULTATU                  	DATE                  	NULL,
   NRORGINCLUSAO     	 NUMBER 	DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
   CDOPERINCLUSAO    	VARCHAR2(12)  	DEFAULT '1' NULL,
   NRORGULTATU          	NUMBER 		DEFAULT  SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
   CDOPERULTATU        	VARCHAR2(12)  	DEFAULT '1'
)
/

-- ==============================================================================
-- TABLE: USR_ITEM_ENTR_MERC 
-- ==============================================================================
CREATE TABLE USR_ITEM_ENTR_MERC (	
   CDEXFILIAL     		VARCHAR2(20), 
   CDFILIAL       		VARCHAR2(4), 
   NRNOTAFISCAL  		VARCHAR2(20), 
   CDFILIRECE     		VARCHAR2(4), 
   NRAUTOFORNE    	VARCHAR2(10), 
   DTIMPORTACAO   	DATE, 
   VRQUANTIDADE   	FLOAT(126), 
   VRUNITARIO     		FLOAT(126), 
   CDPRODINTE     		VARCHAR2(20), 
   DTEMISSAO      		DATE, 
   DTENTRADA      		DATE, 
   NRINSJURFORN   		VARCHAR2(20), 
   CDSERIE       		VARCHAR2(5), 
   DSDESCRICAO    		VARCHAR2(48), 
   IDENTRSAID     		VARCHAR2(1), 
   NRLANCTOUSR    		VARCHAR2(20), 
   NRORG                       	NUMBER 		DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
   IDATIVO                    	VARCHAR2(1)     	DEFAULT 'S' NOT NULL
      CONSTRAINT CKC_IDATIVO_USR_IT_ENTR_MERC CHECK (IDATIVO IN ('S','N')),
   DTINCLUSAO             	DATE                   	NULL,
   DTULTATU                  	DATE                  	NULL,
   NRORGINCLUSAO     	 NUMBER 	DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
   CDOPERINCLUSAO    	VARCHAR2(12)  	DEFAULT '1' NULL,
   NRORGULTATU          	NUMBER 		DEFAULT  SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
   CDOPERULTATU        	VARCHAR2(12)  	DEFAULT '1'
)

-- ======================================================================================
-- TABLE: USR_ENTR_MERC
-- ======================================================================================
ALTER TABLE USR_ENTR_MERC ADD DSDESCRICAO VARCHAR2(48)


-- ======================================================================================
-- TABLE: USR_ITEM_ENTR_MERC
-- ======================================================================================
ALTER TABLE USR_ITEM_ENTR_MERC ADD SGUNIDMED   VARCHAR2(10);

-- CAMPOS NOVOS INTEGRACAO COMPASS
ALTER TABLE USR_ENTR_MERC ADD CDRETIRADA VARCHAR2(2);
ALTER TABLE USR_ITEM_ENTR_MERC ADD DTFABRPROD DATE;
ALTER TABLE USR_ITEM_ENTR_MERC ADD DTVALILOTE DATE;
ALTER TABLE USR_ITEM_ENTR_MERC ADD CDALMOXARIFE VARCHAR2(6);
ALTER TABLE USR_ITEM_ENTR_MERC ADD CDLOCALESTOQ VARCHAR2(6);
ALTER TABLE USR_ITEM_ENTR_MERC ADD NRLOTEESTQ VARCHAR2(20);
ALTER TABLE USR_ITEM_ENTR_MERC ADD NRSUBLOTE VARCHAR2(4);


-- CAMPOS NOVOS TABELA DE LOG
ALTER TABLE USR_LOG_WEBSERVICE ADD CDOPERADOR VARCHAR2(12);
/
ALTER TABLE USR_LOG_WEBSERVICE ADD CUSTOMVAR1 VARCHAR2(100);
/
ALTER TABLE USR_LOG_WEBSERVICE ADD CUSTOMVAR2 VARCHAR2(100);
/
ALTER TABLE USR_LOG_WEBSERVICE ADD CUSTOMVAR3 VARCHAR2(100);
/
ALTER TABLE USR_LOG_WEBSERVICE ADD CUSTOMDATE1 DATE;
/
ALTER TABLE USR_LOG_WEBSERVICE ADD CUSTOMFLOAT1 FLOAT;
/
ALTER TABLE USR_LOG_WEBSERVICE ADD CUSTOMFLOAT2 FLOAT;
/
ALTER TABLE USR_LOG_WEBSERVICE ADD CUSTOMBOOL1 NUMBER;
/
ALTER TABLE USR_LOG_WEBSERVICE ADD CUSTOMCLOB1 CLOB;
/
ALTER TABLE USR_LOG_WEBSERVICE MODIFY IDACAO VARCHAR2(20);
/
ALTER TABLE USR_LOG_WEBSERVICE DROP CONSTRAINT CKC_IDACAO_USR_LOG_WS;

--*** TABELA  USR_LOG_WEBSERVICE_DRILL ***--
ALTER TABLE USR_LOG_WEBSERVICE_DRILL ADD CDBARPRODUTO VARCHAR2(30);
/
ALTER TABLE USR_LOG_WEBSERVICE_DRILL ADD CUSTOMCLOB2 CLOB;
/
ALTER TABLE USR_LOG_WEBSERVICE_DRILL ADD SEQLOGDRILL NUMBER;
/
ALTER TABLE USR_LOG_WEBSERVICE_DRILL MODIFY IDACAO VARCHAR2(20);
/
ALTER TABLE USR_LOG_WEBSERVICE_DRILL DROP CONSTRAINT FKFIS00728USR_LOG_WS_DRILL
/
ALTER TABLE USR_LOG_WEBSERVICE_DRILL ADD CONSTRAINT FKFIS00728USR_LOG_WS_DRILL PRIMARY KEY (SEQLOG, SEQLOGDRILL);
/
ALTER TABLE USR_LOG_WEBSERVICE ADD IDSTATUS VARCHAR2(1);
/
ALTER TABLE USR_LOG_WEBSERVICE ADD DSRESPOSTA VARCHAR2(4000);
/